Package uk.ac.starlink.topcat.plot2

# Class SkyAxisController

java.lang.Object
uk.ac.starlink.topcat.plot2.AxisController<uk.ac.starlink.ttools.plot2.geom.SkySurfaceFactory.Profile,uk.ac.starlink.ttools.plot2.geom.SkyAspect>
uk.ac.starlink.topcat.plot2.SkyAxisController

All Implemented Interfaces:
  `Configger`

public class SkyAxisController extends AxisController<uk.ac.starlink.ttools.plot2.geom.SkySurfaceFactory.Profile,uk.ac.starlink.ttools.plot2.geom.SkyAspect>
AxisController for sky plot.

Since:
  14 Mar 2013
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`SkyAxisController()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`configureForLayers(LayerControl[] layerControls)`
No-op.
`protected boolean`
`forceClearRange(uk.ac.starlink.ttools.plot2.geom.SkySurfaceFactory.Profile oldProfile, uk.ac.starlink.ttools.plot2.geom.SkySurfaceFactory.Profile newProfile)`
Determines whether the change between two profiles forces an unconditional re-range of the plotting surface.
`uk.ac.starlink.ttools.plot2.geom.SkySys`
`getViewSystem()`
Returns the sky view system currently selected for this control.

### Methods inherited from class uk.ac.starlink.topcat.plot2.AxisController

`addActionListener, addAspectConfigTab, addControl, addNavigatorTab, assertHasKeys, clearAspect, clearRange, getActionForwarder, getAspect, getConfig, getControls, getMainControl, getNavigator, getRanges, getSurfaceFactory, removeActionListener, setAspect, setLatestSurface, setRanges, submitReports, updateState`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SkyAxisController

public SkyAxisController()
Constructor.

## Method Details

### configureForLayers

public void configureForLayers(LayerControl[] layerControls)
No-op.

Specified by:
  `configureForLayers` in class `AxisController<uk.ac.starlink.ttools.plot2.geom.SkySurfaceFactory.Profile,uk.ac.starlink.ttools.plot2.geom.SkyAspect>`
Parameters:
  `layerControls` - layer controls expected to provide layers to be plotted on these axes

### getViewSystem

public uk.ac.starlink.ttools.plot2.geom.SkySys getViewSystem()
Returns the sky view system currently selected for this control.

Returns:
  view system

### forceClearRange

protected boolean forceClearRange(uk.ac.starlink.ttools.plot2.geom.SkySurfaceFactory.Profile oldProfile, uk.ac.starlink.ttools.plot2.geom.SkySurfaceFactory.Profile newProfile)
Description copied from class: `AxisController`
Determines whether the change between two profiles forces an unconditional re-range of the plotting surface. This method should return true if the plotting surface will change between the old and new supplied profiles sufficiently to invalidate previously calculated auto range data.

Specified by:
  `forceClearRange` in class `AxisController<uk.ac.starlink.ttools.plot2.geom.SkySurfaceFactory.Profile,uk.ac.starlink.ttools.plot2.geom.SkyAspect>`
Parameters:
  `oldProfile` - profile before change
  `newProfile` - profile after change
Returns:
  true if a new auto-ranging is required